<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.TSupervisionInvestigationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.TSupervisionInvestigation">
        <id column="id" property="id"/>
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
        <result column="time" property="time"/>
        <result column="hour" property="hour"/>
        <result column="address" property="address"/>
        <result column="investigated_name" property="investigatedName"/>
        <result column="investigated_work" property="investigatedWork"/>
        <result column="investigated_sex" property="investigatedSex"/>
        <result column="investigated_address" property="investigatedAddress"/>
        <result column="investigated_job" property="investigatedJob"/>
        <result column="investigated_telephone" property="investigatedTelephone"/>
        <result column="investigated_postcod" property="investigatedPostcod"/>
        <result column="investigated_id" property="investigatedId"/>
        <result column="monitor_id" property="monitorId"/>
        <result column="epc" property="epc"/>
        <result column="ocode" property="ocode"/>
        <result column="persons" property="persons"/>
        <result column="certificate" property="certificate"/>
        <result column="event_remark" property="eventRemark"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, userid, update_time, del_flag, dept_id, time, hour, address, investigated_name, investigated_work, investigated_sex,
        investigated_address, investigated_job, investigated_telephone, investigated_postcod, investigated_id, monitor_id, epc,
        ocode, persons, certificate, event_remark
    </sql>

</mapper>
